# Builds docker container meant to be used for building the documentation
# pages. To build the image run:
# docker build -t registry.ethz.ch/ibt-cmr/mri_simulation/cmrseq:build_pages -f Dockerfile_pages .
FROM continuumio/miniconda3:master

RUN apt-get update
RUN apt install -y make
RUN apt install -y build-essential
RUN conda create --name cmrseq_build python=3.10

RUN conda init bash
RUN echo "conda activate cmrseq_build" > ~/.bashrc

RUN conda install -c conda-forge pandoc -y
RUN pip install sphinx pydata-sphinx-theme autodocsumm sphinx_autodoc_typehints nbsphinx ipython
RUN pip install sphinx-gallery sphinx-design sphinx-carousel
RUN pip install -U sphinx
RUN pip install ipywidgets ipympl
RUN pip install scipy pint tqdm matplotlib numpy beautifulsoup4
RUN pip install sigpy

# Push docker image with
# docker push registry.ethz.ch/ibt-cmr/mri_simulation/cmrseq:build_pages